package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.File;
import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 6.电子公函上传接口
 * @class: OfficialLetterUploadReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:24
 */
@Data
public class Nft006OfficialLetterUploadReqDto implements Serializable {
    /**
     * 电子公函图片，不超过5M，jpg或png格式
     */
    private File file;

    private String mobile;

    private String verifyCode;

    private static final Nft006OfficialLetterUploadReqDto obj = new Nft006OfficialLetterUploadReqDto();
    private static final long serialVersionUID = -6247442761627263199L;

    public static Nft006OfficialLetterUploadReqDto getNew() {
        try {
            return (Nft006OfficialLetterUploadReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft006OfficialLetterUploadReqDto();
        }
    }
}
